Mandate RCB reservation for Ed2.0 client and Amd1 server
02/17/2021 06:30 AM - Richard Schimmel

Status: Resolved Due date:
Priority: High
Assignee: Richard Schimmel
Category:
Target version:
Discuss in Upcoming No Updated Test
Meeting: Document:
Clause Reference: Ed2.0 Test Case ID: cRp2 and cBr33
61850 Standard: 7-2 Closed Reason: Test Procedure Update
Triggering Tissue: https://iec61850.tissue-db.com/tissue/17 | Triggering Tissue 2:
58
Final Decision: Update cRp2 and mandate cBr33 to Triggering Tissue 3:
ensure client does reserve URCB/BRCB
Initial Test Ed2 TP1.2
Document:
Description

Amd1 requires Clients to always reserve URCB/BRCB even when the RCB is pre-assigned and servers to refuse
configuring/enabling RCBs without prior reservation. To guarantee forward compatibility from Ed2.0 to Amd1; Ed2.0 client shall
reserve RCB. In the current test procedures the reservation is optional, because Ed2 servers allow implicit reservation

History

#1 - 02/18/2021 03:59 AM - Richard Schimmel

E-mail Thierry/Bruce:
ResvTms not present in server means -> Go for (re)configuring or RptEna; the response the client get @ RptEna will tell if the report will arrive or not.

ResvTms = -1 in server <Ed2.1 means -> do not write ResvTms — Go for (re)configuring or for RptEna. If you do write ResvTms, do not care for the
negative response(s); the response the client get @ RptEna will tell if the report will arrive or not.
ResvTms = -1 in server >= Ed2.1 means -> do write ResvTms before going for (re)configuring or RptEna.

ResvTms = 0 in server <Ed2.1 means -> do write ResvTms before going for(re)configuring or RptEna;.
ResvTms = 0 in server >= Ed2.1 means -> do write ResvTms before going for (re)configuring or RptEna.

#2 - 03/01/2021 11:27 AM - Bruce Muschlitz
- Triggering Tissue changed from in progress (difficult to raise and Ed2 tissue) to https://iec61850.tissue-db.com/tissue/1758

#3 - 03/02/2021 08:33 AM - Thierry Dufaure

Ed2 client test procedures allows a client per PIXIT Rp22 to support BRCB ResvTms. ResvTms is not a choice of the client to support. It is optional in
Ed1 and Ed2 at SErver, but Client need to support the present and the use of it.
| propose to at least update client test procedure to mandate the cBr33.

#4 - 03/12/2021 09:42 AM - Herbert Falk

- Status changed from New to Resolved

#5 - 03/12/2021 09:52 AM - Herbert Falk

- Status changed from Resolved to In Progress

#6 - 03/14/2021 04:37 PM - Bruce Muschlitz

- Discuss in Upcoming Meeting changed from Yes to No

TPWG 20210309 discussion: Issue is very complicated. Cannot add Ed2.0 TISSUEs therefore TPWG cannot mandate new behaviour for Ed2.0
clients therefore Ed2.0 reservation cannot be mandated to become forward compatible with Ed2.1 servers.
61850-7-2:2010 Clause 17.2.2.17 says SetBRCBValues(ResvTms, anyValue) shall fail is ResvTms is -1
which discourages Ed2.0 clients from trying to "actively reserve" a BRCB which is reserved via a SCL ClientLN element.That same clause also states
that ResvTms = -1 "shall indicate ... BRCB is currently exclusively reserved ... based upon configuration" which seems to indicate that an "active
reservation” (i.e. a write to ResvTms) is not needed.

TPWG will not discussion this redmine issue until until tissue 1758 is resolved outside of the TPWG discussions

#7 - 04/20/2021 10:00 AM - Richard Schimmel

- File Redmine636_solution v1.docx added

- Final Decision set to Update cRp2 and mandate cBr33 to ensure client does reserve URCB/BRCB
- Initial Test Document changed from Ed2 TP1.1.2 to Ed2 TP1.2

- Test Case ID changed from TBD to cRp2 and cBr33

- 61850 Standard 7-2 added

- 61850 Standard deleted (8-1)

TPWG decided to change cBr33 from conditional to mandatory and change PIXIT-Rp22 to Ed1 only.
And Update cRp2 to ensure client does URCB.Resv=T before configure/enable the URCB.

#8 - 04/20/2021 02:18 PM - Bruce Muschlitz
- File Redmine636_solution v2.docx added

Update proposal to include certificate page 2 change (change conditional cBr33 to mandatory)

#9 - 04/20/2021 02:23 PM - Bruce Muschlitz

- Status changed from In Progress to Resolved

- Clause Reference changed from Amd1 to Ed2.0
- Closed Reason Test Procedure Update added

Files
Redmine636_solution_v1.docx 20.4 KB 04/20/2021 Richard Schimmel
Redmine636_solution_v2.docx 22.7 KB 04/20/2021 Bruce Muschlitz
